lev.gui

## Class LSwingTreeNode

- java.lang.Object
- - javax.swing.tree.DefaultMutableTreeNode
  - - lev.gui.LSwingTreeNode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, javax.swing.tree.MutableTreeNode, javax.swing.tree.TreeNode

      public class LSwingTreeNode
      extends javax.swing.tree.DefaultMutableTreeNode

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class javax.swing.tree.DefaultMutableTreeNode

      `allowsChildren, children, EMPTY_ENUMERATION, parent, userObject`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LSwingTreeNode()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `contains(LSwingTreeNode node)`
    `LSwingTreeNode` | `get(LSwingTreeNode node)` Recursively searches the node's children for one equal to the input and returns it.
    `java.util.ArrayList<LSwingTreeNode>` | `getAllObjects()`
    `java.util.ArrayList<LSwingTreeNode>` | `getAllObjects(boolean recursive)`
    `void` | `mergeIn(LSwingTreeNode node)` Adds the node to the children of this current node.
    `void` | `print(int depth)`

    - ### Methods inherited from class javax.swing.tree.DefaultMutableTreeNode

      `add, breadthFirstEnumeration, children, clone, depthFirstEnumeration, getAllowsChildren, getChildAfter, getChildAt, getChildBefore, getChildCount, getDepth, getFirstChild, getFirstLeaf, getIndex, getLastChild, getLastLeaf, getLeafCount, getLevel, getNextLeaf, getNextNode, getNextSibling, getParent, getPath, getPathToRoot, getPreviousLeaf, getPreviousNode, getPreviousSibling, getRoot, getSharedAncestor, getSiblingCount, getUserObject, getUserObjectPath, insert, isLeaf, isNodeAncestor, isNodeChild, isNodeDescendant, isNodeRelated, isNodeSibling, isRoot, pathFromAncestorEnumeration, postorderEnumeration, preorderEnumeration, remove, remove, removeAllChildren, removeFromParent, setAllowsChildren, setParent, setUserObject, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LSwingTreeNode

          public LSwingTreeNode()

  - ### Method Detail

    - #### contains

          public boolean contains(LSwingTreeNode node)

      Parameters:
        `node` -
      Returns:
        True if children contains a node equal to the parameter.

    - #### get

          public LSwingTreeNode get(LSwingTreeNode node)

      Recursively searches the node's children for one equal to the input and returns it.
      Parameters:
        `node` -
      Returns:

    - #### getAllObjects

          public java.util.ArrayList<LSwingTreeNode> getAllObjects()

      Returns:

    - #### getAllObjects

          public java.util.ArrayList<LSwingTreeNode> getAllObjects(boolean recursive)

      Parameters:
        `recursive` -
      Returns:

    - #### print

          public void print(int depth)

      Parameters:
        `depth` -

    - #### mergeIn

          public void mergeIn(LSwingTreeNode node)

      Adds the node to the children of this current node. If the parameter node exists already, it merges their children.
      Parameters:
        `node` - Node to merge into the current node